-- phpMyAdmin SQL Dump
-- version 4.5.4.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jun 08, 2022 at 04:24 AM
-- Server version: 5.7.11
-- PHP Version: 5.6.18

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `inet_file_approval_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_approver_user`
--

CREATE TABLE `tbl_approver_user` (
  `approver_id` int(11) NOT NULL,
  `complete_name` varchar(100) NOT NULL,
  `designation` varchar(30) NOT NULL,
  `profile_picture` longblob NOT NULL,
  `username` varchar(30) NOT NULL,
  `password` text NOT NULL,
  `account_status` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_department`
--

CREATE TABLE `tbl_department` (
  `department_id` int(11) NOT NULL,
  `department_code` varchar(15) NOT NULL,
  `department_name` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_department_user`
--

CREATE TABLE `tbl_department_user` (
  `department_user_id` int(11) NOT NULL,
  `department_id` int(11) NOT NULL,
  `complete_name` varchar(100) NOT NULL,
  `designation` varchar(30) NOT NULL,
  `profile_picture` longblob NOT NULL,
  `username` varchar(30) NOT NULL,
  `password` text NOT NULL,
  `account_status` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_file_category`
--

CREATE TABLE `tbl_file_category` (
  `category_id` int(11) NOT NULL,
  `category_name` varchar(15) NOT NULL,
  `description` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_file_comment`
--

CREATE TABLE `tbl_file_comment` (
  `comment_id` int(11) NOT NULL,
  `file_id` int(11) NOT NULL,
  `comment` varchar(100) NOT NULL,
  `comment_date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_file_management`
--

CREATE TABLE `tbl_file_management` (
  `file_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `department_id` int(11) NOT NULL,
  `department_user_id` int(11) NOT NULL,
  `control_number` varchar(15) NOT NULL,
  `filename` varchar(50) NOT NULL,
  `description` varchar(100) NOT NULL,
  `file_size` varchar(10) NOT NULL,
  `file_type` varchar(5) NOT NULL,
  `date_uploaded` date NOT NULL,
  `download_file` int(1) NOT NULL,
  `status` int(1) NOT NULL,
  `remarks` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_setting`
--

CREATE TABLE `tbl_setting` (
  `setting_id` int(11) NOT NULL,
  `files_allowed` int(3) NOT NULL,
  `file_size_max_allowed` float NOT NULL,
  `updated_by` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_user`
--

CREATE TABLE `tbl_user` (
  `user_id` int(11) NOT NULL,
  `complete_name` varchar(100) NOT NULL,
  `avatar` longblob NOT NULL,
  `username` varchar(30) NOT NULL,
  `password` text NOT NULL,
  `contact` varchar(15) NOT NULL,
  `email` varchar(50) NOT NULL,
  `status` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_approver_user`
--
ALTER TABLE `tbl_approver_user`
  ADD PRIMARY KEY (`approver_id`);

--
-- Indexes for table `tbl_department`
--
ALTER TABLE `tbl_department`
  ADD PRIMARY KEY (`department_id`);

--
-- Indexes for table `tbl_department_user`
--
ALTER TABLE `tbl_department_user`
  ADD PRIMARY KEY (`department_user_id`),
  ADD KEY `department_id` (`department_id`);

--
-- Indexes for table `tbl_file_category`
--
ALTER TABLE `tbl_file_category`
  ADD PRIMARY KEY (`category_id`);

--
-- Indexes for table `tbl_file_comment`
--
ALTER TABLE `tbl_file_comment`
  ADD PRIMARY KEY (`comment_id`),
  ADD KEY `file_id` (`file_id`);

--
-- Indexes for table `tbl_file_management`
--
ALTER TABLE `tbl_file_management`
  ADD PRIMARY KEY (`file_id`),
  ADD KEY `category_id` (`category_id`),
  ADD KEY `department_id` (`department_id`),
  ADD KEY `department_user_id` (`department_user_id`);

--
-- Indexes for table `tbl_setting`
--
ALTER TABLE `tbl_setting`
  ADD PRIMARY KEY (`setting_id`),
  ADD KEY `updated_by` (`updated_by`);

--
-- Indexes for table `tbl_user`
--
ALTER TABLE `tbl_user`
  ADD PRIMARY KEY (`user_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_approver_user`
--
ALTER TABLE `tbl_approver_user`
  MODIFY `approver_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_department`
--
ALTER TABLE `tbl_department`
  MODIFY `department_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_department_user`
--
ALTER TABLE `tbl_department_user`
  MODIFY `department_user_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_file_category`
--
ALTER TABLE `tbl_file_category`
  MODIFY `category_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_file_comment`
--
ALTER TABLE `tbl_file_comment`
  MODIFY `comment_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_file_management`
--
ALTER TABLE `tbl_file_management`
  MODIFY `file_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_setting`
--
ALTER TABLE `tbl_setting`
  MODIFY `setting_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_user`
--
ALTER TABLE `tbl_user`
  MODIFY `user_id` int(11) NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
